% 
% Generating the complex envelops and looking at visualization
% Author: M. Fitz
% Last modified: 6/14/04
% 
time=linspace(0,3,1025);
xz=exp(j*2*pi*time);
figure(1)
plot3(time,real(xz),imag(xz))
view(45,30)
xlabel('Time, t','Fontsize',16,'Position',[3.8 -2.5 0])
ylabel('x_I(t)','Fontsize',16,'Position',[5.6 -1.5 0])
zlabel('x_Q(t)','Fontsize',16)
%
%
%
figure(2)
plot(xz)
xlabel('x_I(t)','Fontsize',16)
ylabel('x_Q(t)','Fontsize',16)
%
%
% Axis labels
%
figure(3)
plot(time,real(xz))
xlabel('Time, t','Fontsize',16)
ylabel('x_I(t)','Fontsize',16)
figure(4)
plot(time,imag(xz))
xlabel('Time, t','Fontsize',16)
ylabel('x_Q(t)','Fontsize',16)
